=== debian/changelog ===
stenographer (0.0~git20161206.0.66a8e7e-7) unstable; urgency=medium

  * Team upload.
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 11:13:22 +0100

stenographer (0.0~git20161206.0.66a8e7e-6) unstable; urgency=medium

  * Fix autopkgtest for the case where there is more than one default route.
    Thanks to Steve Langasek for the patch from Ubuntu.
    Closes: #876713
  * Bump Standards-Version.
  * Remove obsolete ORed build-dep on dh-systemd.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Oct 2017 22:47:52 +0100

stenographer (0.0~git20161206.0.66a8e7e-5) unstable; urgency=medium

  * Remove ppc64 from list of supported archs.
    https://lists.alioth.debian.org/pipermail/pkg-go-maintainers/Week-of-Mon-20170123/010368.html
  * Add net-tools to runtime dependencies, needed for "route" command.
    Thanks to Gianfranco Costamagna for reporting this.
    Closes: #856019

 -- Sascha Steinbiss <satta@debian.org>  Mon, 30 Jan 2017 12:18:35 +0100

stenographer (0.0~git20161206.0.66a8e7e-4) unstable; urgency=medium

  * Split dh_install override into arch and indep variants.
    Closes: #852348
  * Clean up patches.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 23 Jan 2017 23:34:00 +0000

stenographer (0.0~git20161206.0.66a8e7e-3) unstable; urgency=medium

  * Add missing dependency on jq for stenographer-common.
    Apparently stenokeys requires it, as noticed by piuparts.
  * Make stenokeys.sh use /dev/urandom as RANDFILE to avoid
    creation of /root/.rnd after calling openssl.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Jan 2017 16:10:23 +0000

stenographer (0.0~git20161206.0.66a8e7e-2) unstable; urgency=medium

  * Fix builds on buildds by making sure directories are created.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 20 Jan 2017 17:28:19 +0100

stenographer (0.0~git20161206.0.66a8e7e-1) unstable; urgency=low

  [ Hilko Bengen and Sascha Steinbiss ]
  * Initial release (Closes: #795101)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 16 Jan 2017 14:37:44 +0100
