=== debian/tests/control ===
Tests: run-example
Depends: @, curl, rsyslog, net-tools
Restrictions: isolation-container, needs-root, allow-stderr
