## stenographer 0.0~git20180422.0.73ce5dd

=== debian/changelog ===
stenographer (0.0~git20180422.0.73ce5dd-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Avoid use of dpkg-parsechangelog.
  * Provide shared documentation symlinked from stenographer-common.
  * Remove obsolete lintian overrides and reword renamed ones.
  * Make unit test more resilient:
    - Start stenographer with --seccomp=none to address potential
      crashes on debci VMs.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 10 Feb 2019 11:25:57 +0100

stenographer (0.0~git20161206.0.66a8e7e-10) unstable; urgency=medium

  * Try to make unit test more robust:
    - Skip test if there is not enough memory available to run stenographer
      with minimal settings (256 blocks).
    - Check that port is actually available before trying to stenoread.
    - Make test more verbose to debug potential causes for problems.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Jun 2018 18:10:00 +0200

stenographer (0.0~git20161206.0.66a8e7e-9) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Sascha Steinbiss ]
  * Make stenographer binnmu-safe by not using link-doc between
    arch-dependent and arch-all packages, instead letting each package
    have their own docs.
    Closes: #898232
  * Use debhelper 11.
  * Use secure format URL in d/copyright.
  * Bump Standards-Version.
  * Remove --with=systemd in dh (no longer needed in 11).
  * Remove obsolete --parallel.
  * Switch to dh_installsystemd target for initial disabling of
    service.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 29 May 2018 16:10:47 +0200

stenographer (0.0~git20161206.0.66a8e7e-8) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:21:20 +0100
