=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 10.1~),
+Build-Depends: debhelper (>= 12),
  dh-golang,
  golang-go,
  golang-github-golang-leveldb-dev,
@@ -14,16 +14,17 @@
  libsnappy-dev,
  libseccomp-dev,
  txt2man
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/google/stenographer
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/stenographer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/stenographer.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/stenographer
+Vcs-Git: https://salsa.debian.org/go-team/packages/stenographer.git
 XS-Go-Import-Path: github.com/google/stenographer
 
 Package: stenographer
 Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common, lsb-base (>=3.0-6)
 Recommends: stenographer-client
+Built-Using: ${misc:Built-Using}
 Description: full-packet-capture utility -- server
  Stenographer is a full-packet-capture utility for buffering packets
  to disk for intrusion detection and incident response purposes. It
