=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  golang-github-golang-leveldb-dev,
  golang-github-google-gopacket-dev,
  golang-golang-x-net-dev,
+ golang-google-grpc-dev,
+ golang-github-google-uuid-dev,
  libaio-dev,
  libleveldb-dev,
  libsnappy-dev,
