=== debian/changelog ===
stenographer (0.0~git20190917.0.3545c54-1ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 19:39:56 +0100

stenographer (0.0~git20190917.0.3545c54-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:17:53 +0200

stenographer (0.0~git20190917.0.3545c54-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:52 +0100

stenographer (0.0~git20190917.0.3545c54-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use debhelper-compat.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jan 2020 10:21:22 +0100
