=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: stenographer
 Section: net
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  dh-golang,
  golang-go,
  golang-github-golang-leveldb-dev,
@@ -16,7 +17,7 @@
  libsnappy-dev,
  libseccomp-dev,
  txt2man
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/google/stenographer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/stenographer
 Vcs-Git: https://salsa.debian.org/go-team/packages/stenographer.git
