## stenographer 0.0~git20200127.0.51c919c

=== debian/changelog ===
stenographer (0.0~git20200127.0.51c919c-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Use backports version of Go as dependency.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 10 May 2020 17:56:18 +0200

stenographer (0.0~git20200127.0.51c919c-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 27 Apr 2020 16:33:27 +0200

stenographer (0.0~git20190917.0.3545c54-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Make build-dependency requirements more specific for backports versions.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jan 2020 10:46:12 +0100
