=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: stenographer
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dh-golang,
- golang-go,
+ golang-go (>= 2:1.12),
  golang-github-golang-leveldb-dev,
  golang-github-google-gopacket-dev,
  golang-golang-x-net-dev,
- golang-google-grpc-dev,
+ golang-google-grpc-dev (>= 1.20),
+ golang-goprotobuf-dev (>= 1.3),
  golang-github-google-uuid-dev,
  libaio-dev,
  libleveldb-dev,
