## stenographer 0.0~git20200529.0.b049603

=== debian/changelog ===
stenographer (0.0~git20200529.0.b049603-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Jun 2020 10:13:52 +0200

stenographer (0.0~git20200529.0.b049603-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Bump debhelper compat level.
  * Add upstream metadata.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 29 May 2020 20:42:23 +0200
