## stenographer 1.0.0

=== DESCRIPTION ===
Package: stenographer
Type: Package
Title: Flexible and Customisable Logging System
Version: 1.0.0
URL: https://github.com/dereckmezquita/stenographer
BugReports: https://github.com/dereckmezquita/stenographer/issues
Authors@R: 
    person(given = "Dereck",
           family = "Mezquita",
           role = c("aut", "cre"),
           email = "dereck@mezquita.io",
           comment = c(ORCID = "0000-0002-9307-6762"))
Maintainer: Dereck Mezquita <dereck@mezquita.io>
Description: A comprehensive logging framework for R applications that provides hierarchical logging levels, database integration, and contextual logging capabilities. The package supports 'SQLite' storage for persistent logs, provides colour-coded console output for better readability, includes parallel processing support, and implements structured error reporting with 'JSON' formatting.
License: MIT + file LICENSE
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Depends: R (>= 4.1.0)
Imports: R6, rlang, jsonlite, fs, crayon, DBI
Suggests: testthat (>= 3.0.0), diffviewer, knitr, rmarkdown, box,
        future, future.apply, RSQLite
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-01-15 14:38:01 UTC; work
Author: Dereck Mezquita [aut, cre] (<https://orcid.org/0000-0002-9307-6762>)
Repository: CRAN
Date/Publication: 2025-01-16 10:50:06 UTC
