## stenographer 1.0.1

=== stenotype/Makefile ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 DEPS=Makefile *.h
 
+# if a monotonic clock reading is preferred, see util.h, GetCurrentTimeNanos(),
+# set the USE_MONOTONIC_TIME flag
 DEFINES=
 ifneq (,$(wildcard /usr/include/testimony.h))
 DEFINES += -DTESTIMONY
@@ -23,7 +25,7 @@
 ifneq (,$(wildcard /usr/bin/c++))
 CXX=/usr/bin/c++
 endif
-SHARED_CFLAGS=-std=c++0x -g -Wall -fno-strict-aliasing $(DEFINES)
+SHARED_CFLAGS=-std=c++0x -Wall -fno-strict-aliasing $(DEFINES)
 SHARED_LDFLAGS=-lleveldb -lrt -laio -lpthread -lsnappy -lseccomp
 ifneq (,$(wildcard /usr/include/testimony.h))
 SHARED_LDFLAGS += -ltestimony
@@ -34,7 +36,7 @@
 OPT_LDFLAGS_SEC=-Wl,-z,now -Wl,-z,relro
 OPT_LDFLAGS=$(OPT_LDFLAGS_SEC)
 
-DBG_CFLAGS=-fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
+DBG_CFLAGS=-g -fno-omit-frame-pointer -O1 -fno-optimize-sibling-calls
 DBG_LDFLAGS=
 
 FILES=util packets index aio stenotype
