=== debian/changelog ===
stenographer (1.0.1-7) unstable; urgency=medium

  * Fix building on loong64. Thanks to wuruilong for the patch.
    Closes: #1071020
  * Bump d/copyright date for debian directory.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Aug 2024 06:53:42 +0200

stenographer (1.0.1-6) unstable; urgency=medium

  * Remove debugging changes from stenokeys script.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 13 Jul 2024 14:55:41 +0200

stenographer (1.0.1-5) unstable; urgency=medium

  * Add subjectAltName to certificates created by stenokeys.
    This addresses #1075859.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 13 Jul 2024 14:43:36 +0200

stenographer (1.0.1-4) unstable; urgency=medium

  * Try to make autopkgtests more robust.
  * Correctly use "skippable" autopkgtest property.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 04 May 2024 02:06:02 +0200

stenographer (1.0.1-3) unstable; urgency=medium

  * Add loong64 to architecture list.
    Closes: #1050411
  * Bump Standards-Version.
  * Bump d/copyright date for debian directory.
  * Remove build-dep on obsolete lsb-base package.
  * Update context in lintian overrides for stenographer-common.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 13 Dec 2023 09:20:39 +0100

stenographer (1.0.1-2) unstable; urgency=medium

  * Fix watchfile.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 23:24:40 +0100

stenographer (1.0.1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add watchfile to track tagged upstream releases.
  * Fix typo in dh_installexamples override.
  * Update copyright dates in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 08 Sep 2020 23:39:44 +0200
