=== debian/control ===
--- 
+++ 
@@ -3,29 +3,28 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-golang,
- golang-go (>= 2:1.12),
+ golang-go,
  golang-github-golang-leveldb-dev,
  golang-github-google-gopacket-dev,
  golang-golang-x-net-dev,
- golang-google-grpc-dev (>= 1.20),
- golang-goprotobuf-dev (>= 1.3),
+ golang-google-grpc-dev,
  golang-github-google-uuid-dev,
  libaio-dev,
  libleveldb-dev,
  libsnappy-dev,
  libseccomp-dev,
  txt2man
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/google/stenographer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/stenographer
 Vcs-Git: https://salsa.debian.org/go-team/packages/stenographer.git
 XS-Go-Import-Path: github.com/google/stenographer
 
 Package: stenographer
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
-Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common, lsb-base (>=3.0-6)
+Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe sh4 sparc64 x32
+Depends: ${shlibs:Depends}, ${misc:Depends}, stenographer-common
 Recommends: stenographer-client
 Built-Using: ${misc:Built-Using}
 Description: full-packet-capture utility -- server
@@ -37,8 +36,7 @@
 
 Package: stenographer-client
 Architecture: all
-Depends: ${misc:Depends}, stenographer-common,
- curl, jq, tcpdump,
+Depends: ${misc:Depends}, stenographer-common, curl, jq, tcpdump
 Description: full-packet-capture utility -- clients
  Stenographer is a full-packet-capture utility for buffering packets
  to disk for intrusion detection and incident response purposes. It
