=== debian/tests/control ===
Tests: run-example
Depends: @, curl, rsyslog, net-tools, gawk
Restrictions: isolation-container, needs-root, allow-stderr, skippable
